Skip to main content
GET
/
documents
/
{documentId}
/
uploads
List document's uploads
curl --request GET \
  --url https://api.vanta.com/v1/documents/{documentId}/uploads \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "1",
        "fileName": "Document Name",
        "title": "Document title",
        "description": "Document Description",
        "url": "https://example.com",
        "creationDate": "2024-03-17T00:00:00.000Z",
        "updatedDate": "2024-03-18T00:00:00.000Z",
        "effectiveDate": "2024-03-17T00:00:00.000Z",
        "deletionDate": null,
        "mimeType": "application/pdf",
        "uploadedBy": {
          "id": "66993da0cf4ba2ad40599ba7",
          "type": "USER"
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "1",
      "endCursor": "1"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

documentId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required